+++
title = "Experience"
template = "info-page.html"
path = "experience"

[extra]
quick_navigation_buttons = true
+++

### DevOps Engineer, Materna SE

**since 2023**

As a key globally active IT service provider, Materna advise and assist you in all aspects of digitization and provide tailor-made technologies for agile, flexible and secure IT.

- **Infrastructure as Code (IaC)**:
  - Develop and maintain infrastructure as code scripts using tools like Terraform, Ansible, or CloudFormation to automate the provisioning of infrastructure resources.
- **Continuous Integration (CI) and Continuous Deployment (CD)**:
  - Implement and manage CI/CD pipelines using tools like Jenkins, Travis CI, or GitLab CI to automate the software delivery process.
- **Containerization and Orchestration**:
  - Work with Docker containers and container orchestration platforms like Kubernetes to improve scalability and resource utilization.
- **Monitoring and Logging**:
  - Set up monitoring and logging solutions (e.g., Prometheus, ELK Stack) to track application performance, identify issues, and troubleshoot problems proactively.
- **Collaboration and Communication**:
  - Foster collaboration between development and operations teams, ensuring effective communication and knowledge sharing.
- **Infrastructure Optimization**:
  - Analyze and optimize infrastructure costs, resource utilization, and performance to achieve cost-efficiency and scalability.
- **Troubleshooting and Support**:
  - Respond to incidents, diagnose problems, and provide support to ensure system reliability and availability.

### DevOps Engineer, Apozin GmbH

**until 2023**

Apozin turns visions into a competitive advantage. Our team of pharmacists, PTA's, graphic designers, web designers, sales professionals, marketing specialists, and programmers realize holistic concepts that we constantly evolve and improve for our clients.

- Operation and design of Kubernetes clusters at multiple locations
- Design and implementation of backup strategies
- Deployment of various services (including HAProxy, MariaDB, MongoDB, Elasticsearch, NGINX)
- Design and operation of comprehensive monitoring solutions (Zabbix, Grafana, Prometheus, Graylog)
- Design and setup of build pipelines with Jenkins, Docker, and FluxCD
- Administration of various servers in different environments (Google Cloud, Hetzner, AWS, Digital Ocean, Hosting.de)

### Fullstack .Net Developer, prointernet

**until 2019**

Agency for internet and design founded in 1998, established in Kastellaun in the Hunsrück region, operating worldwide, and at home on the internet. A team of designers, developers, and consultants who love what they do.

- Development of web applications (C#, Dotnet, JS)
- Design of websites (Composite C1)
- Company Website

## Projects

### DevOps Engineer, AEF AgIN Common-Connector

The Common-Connector is being developed by the Agricultural Industry Electronics Foundation (AEF) as part of their Agricultural Interoperability Network (AgIN) initiative. In my role as a DevOps engineer, I supported the tender and contributed to the development of the MVP. Our team developed a Java Spring Boot application to facilitate seamless data exchange between platforms.

- Conception and Development of a Dev Cluster based on AWS EKS (IaC)
- Setting up build and deployment pipelines (GitLab)
- Development of a test concept (Playwright, Testcontainers)
- Development and integration of the operator pattern in a Java Spring Boot application
- Development of the security pipelines (SonarQube, Mend, SAST)

### DevOps Engineer, Cofinity-X

**until 2024**

Cofinity-X is the first operator of the Catena-X network, connecting automotive partners at every level of the value chain. As a DevOps engineer, I was responsible for the enablement services.

- Deployment of various open source Projects with GitOps and ArgoCD
- Managing projects on a Kubernetes clusters
- Communication with end customers (support, troubleshooting)
- Analysis of problems and spikes in load
- Planning new projects and deploying to the Kubernetes clusters

### DevOps Engineer, Amamed

**until 2023**

Just right for your pharmacy! amamed is the only digital solution on the market that puts your pharmacy at the center and makes you fully equipped, secure, and flexible online.

- Provision of various services (including reverse proxies, databases, load balancers)
- Operation of Docker Swarm clusters
- Product Website

### DevOps Engineer, deineApotheke

**until 2021**

"deine Apotheke" supports the pharmacies in your neighborhood and paves the way for you to access pharmacy services: through our app, you can select your pharmacy and pre-order medications, even with a prescription.

- Provision of various services (including backend APIs, MariaDB clusters, NATs, Redis)
- Design and operation of Kubernetes clusters (3 locations)
- Management of automated pipelines via Bitbucket Pipelines (continuous integration)
- IT administration for 6 individuals (SysOps)

